<template lang="html">
	<div class="container">
		<div class="row text-center">
			<div>¿Desea eliminar Pasajero?</div>
		</div>
		<div>
			<div>ID = {{this.element.rut_pasajero}}</div>
			<div>Nombre = {{this.element.nombre_pasajero}} {{this.element.apellido_pasajero}}</div>
		</div>
		<div>
			<button class="btn btn-warning" type="submit" v-on:click="eliminarPasajero">Eliminar</button>
			<button class="btn btn-danger" v-on:click="volver">Volver</button>
		</div>
	</div>
</template>

<script>

import axios from 'axios';

	export default {
		data() {
			return{
				id_pasajero : this.$route.params.id_pasajero,
				element : {
			        rut_pasajero : '',
			        nombre_pasajero : '',
			        apellido_pasajero : '',
			    	}
			    }
		},
		methods: {	
				getPasajero(){
					const path = `http://localhost:8000/usuarios/pasajero/${this.id_pasajero}/`
					axios.get(path).then((response) => {
						this.element.rut_pasajero = response.data.rut_pasajero
						this.element.nombre_pasajero = response.data.nombre_pasajero
						this.element.apellido_pasajero = response.data.apellido_pasajero
					})
					.catch((error) => {console.log(error)})
				},
				volver(){
				location.href = '/pasajero'			
			},
			eliminarPasajero(){
				const path = `http://localhost:8000/usuarios/pasajero/${this.id_pasajero}/`
				axios.delete(path).then((response) => {
					location.href = '/pasajero'
					})
					.catch((error) => {console.log(error); alert("No se pudo eliminar el pasajero");})
			},			
			},
			created(){
				this.getPasajero()
			}
	}
</script>

<style lang="css" scoped>
</style>